﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadListViewDataPagerEvent.aspx.cs" Inherits="RadListViewDataPagerEvent" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadListView ID="RadListView1" runat="server" DataKeyNames="OrderID"
            OnNeedDataSource="RadListView1_NeedDataSource" Skin="Default" AllowPaging="true">
            <LayoutTemplate>
                <div class="RadListView RadListView_Default">
                    <table cellspacing="0" style="width: 100%;">
                        <thead>
                            <tr class="rlvHeader">
                                <th>OrderID</th>
                                <th>OrderDate</th>
                                <th>Freight</th>
                                <th>ShipName</th>
                                <th>ShipCountry</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr id="itemPlaceholder" runat="server">
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="6">
                                    <telerik:RadDataPager ID="RadDataPager1" runat="server" PageSize="5"
                                        OnPageIndexChanged="RadDataPager1_PageIndexChanged">
                                        <Fields>
                                            <telerik:RadDataPagerButtonField FieldType="Numeric"></telerik:RadDataPagerButtonField>
                                        </Fields>
                                    </telerik:RadDataPager>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </LayoutTemplate>
            <ItemTemplate>
                <tr class="rlvI">
                    <td>
                        <asp:Label ID="OrderIDLabel" runat="server" Text='<%# Eval("OrderID") %>' />
                    </td>
                    <td>
                        <asp:Label ID="OrderDateLabel" runat="server" Text='<%# Eval("OrderDate") %>' />
                    </td>
                    <td>
                        <asp:Label ID="FreightLabel" runat="server" Text='<%# Eval("Freight") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ShipNameLabel" runat="server" Text='<%# Eval("ShipName") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ShipCountryLabel" runat="server" Text='<%# Eval("ShipCountry") %>' />
                    </td>
                </tr>
            </ItemTemplate>
        </telerik:RadListView>
        <br />
        <asp:Label ID="Label1" runat="server" Text="Change page"></asp:Label>
    </form>
</body>
</html>
